# *****************************************************************************
#  Description : Makefile to build the Application Controller Plugins
#  Auteur      : Marc Simonetti
# *****************************************************************************

PRESENTATIONBIN=presentation.plugin
VERSION_PRESENTATION=1

PLUGINPHP=Presentation.php
PLUGINTHUMB=Presentation.png
PLUGINSQL=Presentation.sql
PLUGINTABLE=PresentationTable.php
PLUGINMGR=slidesmgr.py
PLUGININIT=presentation.initd

RM=@rm -f
CP=@cp
CC=@gcc

ifdef INCLUDEDIR
INCLUDE=-I. -I../. -I $(INCLUDEDIR)
else
INCLUDE=-I. -I../.
endif

ifdef LIBDIR
LIBSDIR=-L. -L../. -L$(LIBDIR)
else
LIBSDIR=-L. -L../.
endif

ifdef BINDIR
BINSDIR=$(BINDIR)/Presentation
else
BINSDIR=./Presentation
endif


CFLAGS=-Wall -Wunused -g -O $(INCLUDE)
CC_OPT=-L.
LIBS=$(LIBSDIR) -liCommon -ldl
CLIBS=-shared

# *****************************************************************************
# Operations
%.o: %.c
	@echo "=== Compiling $@..."
	$(CC) -o $@ -c $< $(CFLAGS)

# *****************************************************************************
# Targets
all: $(PRESENTATIONBIN)

clean:
	@echo -n "Cleaning... "
	$(RM) *.o $(PRESENTATIONBIN)
	$(RM) -r $(BINSDIR)
	@echo "Ok"

install:

# *****************************************************************************
# Dependances
iPlugPresentation.o:       iPlugPresentation.c

# *****************************************************************************
# Edition de liens
$(PRESENTATIONBIN):             iPlugPresentation.o
	                @echo "=== Linking $@..."
	                $(CC) -o $@ $^ $(CC_OPT) $(CLIBS) $(LIBS) -Wl,-soname,libiPlugPresentation.so.$(VERSION_PRESENTATION)
	                @if test ! -z "$(BINSDIR)";     \
					then                            \
                        mkdir -p $(BINSDIR) ;       \
						cp $@ $(BINSDIR)/$@ ;       \
                        cp $(PLUGINPHP) $(BINSDIR)/$(PLUGINPHP) ; \
                        cp $(PLUGINSQL) $(BINSDIR)/$(PLUGINSQL) ; \
                        cp $(PLUGINTHUMB) $(BINSDIR)/$(PLUGINTHUMB) ; \
                        cp $(PLUGINMGR) $(BINSDIR)/$(PLUGINMGR) ; \
                        cp $(PLUGINTABLE) $(BINSDIR)/$(PLUGINTABLE) ; \
                        cp $(PLUGININIT) $(BINSDIR)/$(PLUGININIT) ; \
					fi;
	                @echo "Done."
